Bug Hunting Session
Bug 108708 - Dropdown list icon is tinier than usual (gtk3)
Summary: Dropdown list icon is tinier than usual (gtk3)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-06-23 01:42 UTC by Xisco Faulí
Modified: 2017-06-27 22:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-23 01:42:56 UTC
Steps to reproduce:
1. Open attachment 134188 [details] from bug 108673
2. Check dropdrown list icon on B1


Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-06-23 01:44:58 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-03-22 11:21:33 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-03-22 17:07:31 (GMT)
commit	aa5d6f5acbab12b1ba76365f776ba228ba5e7e0e (patch)
tree	abf04e1458f2126f3503f515fca0a388cc9c032f
parent	5f4826d89bfa1398b16fc85cf593ff58ce5e36a9 (diff)
Resolves: tdf#106645 gtk3 scrollbar is too wide

Bisected with bibisect-linux-64-5.4.

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2017-06-23 14:16:24 UTC
I imagine its this...

 aBtnSize.Width() = pOut->GetSettings().GetStyleSettings().GetScrollBarSize();

in calc, i.e. randomly taking the scrollbar size as a button width
Comment 3 Commit Notification 2017-06-23 15:21:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2db34a069901cd0149d04c275df19afba728cdcc

Resolves: tdf#108708 set a min width for calc dropdown combobox button

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2017-06-23 15:23:48 UTC
that'll do I guess, backport to 5-4 in gerrit
Comment 5 Commit Notification 2017-06-27 22:46:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92921cfec5a41bffe16426cbf0511accddda6f2c&h=libreoffice-5-4

Resolves: tdf#108708 set a min width for calc dropdown combobox button

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.